Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2024-04-06 11:56:38

0001 #!/bin/bash
0002 function die { echo $1: status $2; exit $2; }
0003 
0004 LOCAL_TEST_DIR=${SCRAM_TEST_PATH}
0005 
0006 clean_up(){
0007     echo -e "\nCleaning the local test area"
0008     rm -fr milleBinary00* 
0009     rm -fr pedeSteer* 
0010     #rm -fr millepede.*
0011     rm -fr *.root
0012     rm -fr *.log
0013     rm -fr *.dat
0014     rm -fr *.tar
0015     rm -fr *.gz
0016     rm -fr *.dump
0017 }
0018 
0019 if test -f "milleBinary*"; then
0020     clean_up
0021 fi
0022 
0023 pwd
0024 echo " testing Aligment/MillePedeAlignmentAlgorithm"
0025 
0026 REMOTE="/store/group/alca_global/tkal_millepede_tests/"
0027 TESTPACKAGE="test_pede_package_v1"
0028 COMMMAND=`xrdfs cms-xrd-global.cern.ch locate ${REMOTE}${TESTPACKAGE}.tar`
0029 STATUS=$?
0030 echo "xrdfs command status = "$STATUS
0031 if [ $STATUS -eq 0 ]; then
0032     echo "Using file ${TESTPACKAGE}. Running in ${LOCAL_TEST_DIR}."
0033     xrdcp root://cms-xrd-global.cern.ch/${REMOTE}${TESTPACKAGE}.tar .
0034     tar -xvf ${TESTPACKAGE}.tar
0035     mv ${TESTPACKAGE}/milleBinary* .
0036     mv ${TESTPACKAGE}/alignment_input.db .
0037     gunzip milleBinary*
0038     (cmsRun ${LOCAL_TEST_DIR}/test_pede.py) || die 'failed running test_pede.py' $?
0039     echo -e "\n @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
0040     echo -e " @ MillePede Exit Status: "`cat millepede.end`
0041     echo -e " @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
0042     ## clean the house now...
0043     clean_up
0044     echo -e "\nContent of the current directory is: "`ls .`
0045 else 
0046   die "SKIPPING test, file ${TESTPACKAGE}.tar not found" 0
0047 fi